<?php // $Id: tag_autocomplete.php,v 1.3.2.7 2008/04/02 06:10:07 dongsheng Exp $

require_once('../config.php');
require_once('lib.php');

require_login();

if (empty($CFG->usetags)) {
    print_error('tagsaredisabled', 'tag');
}

$query = addslashes(optional_param('query', '', PARAM_RAW));  

if ($similar_tags = tag_autocomplete($query)) {
    foreach ($similar_tags as $tag) {
        echo html_entity_decode(tag_display_name($tag)) . "\t" . tag_display_name($tag) . "\n";
    }
}

?>
